Main Page Data Structures File List Data Fields Globals Related Pages

# clib/TCPIPAPI.H File Reference

Go to the source code of this file.

## Data Structures
struct | in_addr
struct | recv_params
struct | send_params
struct | sockaddr
struct | sockaddr_in
struct | tag_atEntry
struct | tag_cnt_packet
struct | tag_getsockopt
struct | tag_ping_command
struct | tag_ppp_client
struct | tag_ppp_option
struct | tag_pppclie_hangup
struct | tag_pppdial
struct | tag_pppipcfg_data
struct | tag_route_entry
struct | tag_setsockopt
struct | tag_UserDhcpEthEntry
struct | tagIcmpMib
struct | tagIfMib
struct | tagIpMib
struct | tagTcpMib
struct | tagUdpMib
## Defines
#define | PPP_MAX_DIAL 7
#define | AF_INET 2
#define | PF_INET AF_INET
#define | SOCK_STREAM 1
#define | SOCK_DGRAM 2
#define | MSG_BLOCKING 0x0000
#define | MSG_TIMEOUT 0x0001
#define | MSG_DONTWAIT 0x0080
#define | API_OPENSOCKET 0x01
#define | API_CLOSESOCKET 0x02
#define | API_BIND 0x03
#define | API_CONNECT 0x04
#define | API_RECVFROM 0x05
#define | API_SENDTO 0x06
#define | API_HTONS 0x07
#define | API_INETADDR 0x08
#define | API_SLEEP 0x09
#define | API_MALLOC 0x0A
#define | API_FREE 0x0B
#define | API_GETRCV_BYTES 0x0C
#define | API_ACCEPT 0x0D
#define | API_LISTEN 0x0E
#define | API_SEND 0x0F
#define | API_RECV 0x10
#define | API_INETTOASCII 0x11
#define | API_RESETCONNECTION 0x12
#define | API_SETLINGER 0x13
#define | API_SETREUSE 0x14
#define | API_SETIPTOS 0x15
#define | API_SETSOCKOPT 0x16
#define | API_GETSOCKOPT 0x17
#define | API_SETBLOCKINGMODE 0x18
#define | API_REGISTERCALLBACK 0x19
#define | API_GET_SOCKETERROR 0x21
#define | API_GET_TCP_STATE 0x22
#define | PPPCLIENT_INSTALLED 0x40
#define | PPPCLIENT_OPEN 0x41
#define | PPPCLIENT_CLOSE 0x42
#define | PPPCLIENT_GET_STATUS 0x43
#define | PPPCLIE_GET_DNSIP 0x44
#define | PPPCLIENT_SET_OPTIONS 0x45
#define | PPPSERVER_INSTALLED 0x50
#define | PPPSERVER_SUSPEND 0x51
#define | PPPSERVER_ACTIVATE 0x52
#define | PPPSERVER_GET_STATUS 0x53
#define | PPPSERVER_GET_CFG 0x54
#define | PPPSERVER_SET_OPTIONS 0x55
#define | API_SNMP_GET 0x60
#define | API_FTP_GET_LOGIN 0x65
#define | API_TELNET_GET_LOGIN 0x66
#define | API_GET_TELNET_STATE 0x67
#define | GET_INSTALLED_SERVERS 0x70
#define | REINIT_ETHERNET 0x71
#define | DHCP_USE 0x72
#define | DHCP_STAT 0x73
#define | TCPIP_STATISTICS 0x74
#define | PING_OPEN 0x75
#define | PING_CLOSE 0x76
#define | PING_STATISTICS 0x77
#define | GET_MEMORY_INFO 0x78
#define | SET_SERVER_IDLE_TIMEOUT 0x79
#define | ADD_DEFAULT_GATEWAY 0x80
#define | DEL_DEFAULT_GATEWAY 0x81
#define | GET_DEFAULT_GATEWAY 0x82
#define | ADD_STATIC_ROUTE 0x83
#define | DEL_STATIC_ROUTE 0x84
#define | ADD_IGMP_MEMBERSHIP 0x90
#define | DROP_IGMP_MEMBERSHIP 0x91
#define | MCASTIP_TO_MACADDR 0x92
#define | IP_PROTOIP_LEVEL 0
#define | IP_PROTOTCP_LEVEL 6
#define | SOCKET_LEVEL 0x7fff
#define | IPO_TTL 0x0001
#define | IPO_TOS 0x0002
#define | TCP_NODELAY 0x0001
#define | TCP_NOPUSH 0x0004
#define | TCP_SLOW_START 0x0200
#define | TCP_KEEPALIVE 0x4001
#define | TCP_DELAY_ACK 0x4002
#define | TCP_KEEPALIVE_INTV 0x4004
#define | TCP_KEEPALIVE_CNT 0x4005
#define | TCP_FINWT2TIME 0x4006
#define | TCP_2MSLTIME 0x4007
#define | TCP_MAXRT 0x0010
#define | TCP_MAXREXMIT 0x4003
#define | SO_REUSEADDR 0x0004
#define | SO_KEEPALIVE 0x0008
#define | SO_SNDBUF 0x1001
#define | SO_RCVBUF 0x1002
#define | CB_CONNECT_COMPLT 0x0001
#define | CB_ACCEPT 0x0002
#define | CB_RECV 0x0004
#define | CB_SEND_COMPLT 0x0010
#define | CB_REMOTE_CLOSE 0x0020
#define | CB_SOCKET_ERROR 0x0040
#define | CB_RESET 0x0080
#define | CB_CLOSE_COMPLT 0x0100
#define | PPP_LCP_PROTOCOL 0x21c0
#define | PPP_IPCP_PROTOCOL 0x2180
#define | PPP_OPTION_WANT 0
#define | PPP_OPTION_ALLOW 1
#define | PPP_LCP_ACCM 2
#define | PPP_LCP_PROTO_COMP 7
#define | PPP_LCP_ADDRCTRL_COMP 8
#define | PPP_IPCP_COMP_PROTOCOL 2
#define | PPP_IPCP_DNS_PRI 29
#define | PPP_IPCP_DNS_SEC 31
#define | API_NOT_SUPPORTED -2
#define | API_ERROR -1
#define | API_ENOERROR 0
#define | PPPS_UNDEFINED -1
#define | PPPS_NOT_STARTED 0
#define | PPPS_DISABLED 1
#define | PPPS_ENABLED 2
#define | PPPS_LNKUP 3
#define | PPPS_MODEMCLOSING 4
#define | PPPS_MODEMINIT 5
#define | PPP_NOTAVAIL -1
#define | PPP_LNKDOWN 0
#define | PPP_LNKWILLOPEN 1
#define | PPP_LNKUP 2
#define | PPP_INV_COMPORT -1
#define | PPP_INUSE -2
#define | PPP_INV_USER -3
#define | PPP_OPEN_FAIL -4
#define | PPP_INV_DEV -5
#define | PPP_IPCFG_FAIL -6
#define | PPP_CONNECT_FAIL -7
## Typedefs
typedef tag_setsockopt | SetSocketOption
typedef tag_getsockopt | GetSocketOption
typedef tag_pppipcfg_data | PPP_IPCfg_Data
typedef tag_pppdial | PPPDial
typedef tag_pppclie_hangup | PPP_ModemHangup
typedef tag_ppp_client | PPPClient_Init
typedef tag_ppp_option | PPP_Option
typedef tag_cnt_packet | Packet_Count
typedef tag_ping_command | Ping
typedef tag_route_entry | Route_Entry
typedef tagIfMib | IfMib
typedef tagIpMib | IpMib
typedef tagIcmpMib | IcmpMib
typedef tagTcpMib | TcpMib
typedef tagUdpMib | UdpMib
typedef tag_atEntry | atEntry
typedef tag_UserDhcpEthEntry | UserEthDhcp_Entry

## Define Documentation

#define ADD_DEFAULT_GATEWAY 0x80

| Definition at line 632 of file TCPIPAPI.H. Referenced by AddDefaultGateway().

#define ADD_IGMP_MEMBERSHIP 0x90

| Definition at line 640 of file TCPIPAPI.H. Referenced by Add_IGMP_Membership().

#define ADD_STATIC_ROUTE 0x83

| Definition at line 635 of file TCPIPAPI.H. Referenced by AddStaticRoute().

#define AF_INET 2

| Definition at line 524 of file TCPIPAPI.H. Referenced by gethostbyname().

#define API_ACCEPT 0x0D

| Definition at line 551 of file TCPIPAPI.H. Referenced by accept().

#define API_BIND 0x03

| Definition at line 541 of file TCPIPAPI.H. Referenced by bind().

#define API_CLOSESOCKET 0x02

| Definition at line 540 of file TCPIPAPI.H. Referenced by closesocket().

#define API_CONNECT 0x04

| Definition at line 542 of file TCPIPAPI.H. Referenced by connect().

#define API_ENOERROR 0

| Definition at line 729 of file TCPIPAPI.H.

#define API_ERROR -1

| Definition at line 728 of file TCPIPAPI.H. Referenced by accept(), bind(), closesocket(), connect(), gethostbyname(), GetWaitingBytes(), listen(), opensocket(), recv(), recvfrom(), ResetConnection(), send(), sendto(), setlinger(), and setreuse().

#define API_FREE 0x0B

| Definition at line 549 of file TCPIPAPI.H.

#define API_FTP_GET_LOGIN 0x65

| Definition at line 599 of file TCPIPAPI.H. Referenced by Get_FTP_Login_Counters().

#define API_GET_SOCKETERROR 0x21

| Definition at line 564 of file TCPIPAPI.H. Referenced by get_socketerror().

#define API_GET_TCP_STATE 0x22

| Definition at line 565 of file TCPIPAPI.H. Referenced by Get_TCP_Socket_State().

#define API_GET_TELNET_STATE 0x67

| Definition at line 601 of file TCPIPAPI.H. Referenced by Get_Telnet_State().

#define API_GETRCV_BYTES 0x0C

| Definition at line 550 of file TCPIPAPI.H. Referenced by GetWaitingBytes().

#define API_GETSOCKOPT 0x17

| Definition at line 561 of file TCPIPAPI.H. Referenced by getsockopt().

#define API_HTONS 0x07

| Definition at line 545 of file TCPIPAPI.H.

#define API_INETADDR 0x08

| Definition at line 546 of file TCPIPAPI.H. Referenced by inet_addr().

#define API_INETTOASCII 0x11

| Definition at line 555 of file TCPIPAPI.H. Referenced by InetToAscii().

#define API_LISTEN 0x0E

| Definition at line 552 of file TCPIPAPI.H. Referenced by listen().

#define API_MALLOC 0x0A

| Definition at line 548 of file TCPIPAPI.H.

#define API_NOT_SUPPORTED -2

| Definition at line 727 of file TCPIPAPI.H.

#define API_OPENSOCKET 0x01

| Definition at line 539 of file TCPIPAPI.H. Referenced by opensocket().

#define API_RECV 0x10

| Definition at line 554 of file TCPIPAPI.H. Referenced by recv().

#define API_RECVFROM 0x05

| Definition at line 543 of file TCPIPAPI.H. Referenced by recvfrom().

#define API_REGISTERCALLBACK 0x19

| Definition at line 563 of file TCPIPAPI.H. Referenced by RegisterCallbackFunction().

#define API_RESETCONNECTION 0x12

| Definition at line 556 of file TCPIPAPI.H. Referenced by ResetConnection().

#define API_SEND 0x0F

| Definition at line 553 of file TCPIPAPI.H. Referenced by send().

#define API_SENDTO 0x06

| Definition at line 544 of file TCPIPAPI.H. Referenced by sendto().

#define API_SETBLOCKINGMODE 0x18

| Definition at line 562 of file TCPIPAPI.H. Referenced by Set_Blocking_Mode().

#define API_SETIPTOS 0x15

| Definition at line 559 of file TCPIPAPI.H. Referenced by Set_IP_Type_Of_Service().

#define API_SETLINGER 0x13

| Definition at line 557 of file TCPIPAPI.H. Referenced by setlinger().

#define API_SETREUSE 0x14

| Definition at line 558 of file TCPIPAPI.H. Referenced by setreuse().

#define API_SETSOCKOPT 0x16

| Definition at line 560 of file TCPIPAPI.H. Referenced by setsockopt().

#define API_SLEEP 0x09

| Definition at line 547 of file TCPIPAPI.H. Referenced by api_sleep().

#define API_SNMP_GET 0x60

| Definition at line 595 of file TCPIPAPI.H. Referenced by Get_SNMP_Data().

#define API_TELNET_GET_LOGIN 0x66

| Definition at line 600 of file TCPIPAPI.H. Referenced by Get_Telnet_Login_Counters().

#define CB_ACCEPT 0x0002

| Definition at line 688 of file TCPIPAPI.H.

#define CB_CLOSE_COMPLT 0x0100

| Definition at line 694 of file TCPIPAPI.H.

#define CB_CONNECT_COMPLT 0x0001

| Definition at line 687 of file TCPIPAPI.H.

#define CB_RECV 0x0004

| Definition at line 689 of file TCPIPAPI.H.

#define CB_REMOTE_CLOSE 0x0020

| Definition at line 691 of file TCPIPAPI.H.

#define CB_RESET 0x0080

| Definition at line 693 of file TCPIPAPI.H.

#define CB_SEND_COMPLT 0x0010

| Definition at line 690 of file TCPIPAPI.H.

#define CB_SOCKET_ERROR 0x0040

| Definition at line 692 of file TCPIPAPI.H.

#define DEL_DEFAULT_GATEWAY 0x81

| Definition at line 633 of file TCPIPAPI.H. Referenced by DelDefaultGateway().

#define DEL_STATIC_ROUTE 0x84

| Definition at line 636 of file TCPIPAPI.H. Referenced by DelStaticRoute().

#define DHCP_STAT 0x73

| Definition at line 615 of file TCPIPAPI.H. Referenced by Get_DHCP_Status(), and Get_DHCP_Status_Ext().

#define DHCP_USE 0x72

| Definition at line 614 of file TCPIPAPI.H. Referenced by DHCP_use().

#define DROP_IGMP_MEMBERSHIP 0x91

| Definition at line 641 of file TCPIPAPI.H. Referenced by Drop_IGMP_Membership().

#define GET_DEFAULT_GATEWAY 0x82

| Definition at line 634 of file TCPIPAPI.H. Referenced by GetDefaultGateway().

#define GET_INSTALLED_SERVERS 0x70

| Definition at line 608 of file TCPIPAPI.H. Referenced by Get_Installed_Servers().

#define GET_MEMORY_INFO 0x78

| Definition at line 624 of file TCPIPAPI.H. Referenced by Get_TCPIP_Memory_Status().

#define IP_PROTOIP_LEVEL 0

| Definition at line 650 of file TCPIPAPI.H.

#define IP_PROTOTCP_LEVEL 6

| Definition at line 651 of file TCPIPAPI.H. Referenced by http_get().

#define IPO_TOS 0x0002

| Definition at line 656 of file TCPIPAPI.H.

#define IPO_TTL 0x0001

| Definition at line 655 of file TCPIPAPI.H.

#define MCASTIP_TO_MACADDR 0x92

| Definition at line 642 of file TCPIPAPI.H. Referenced by IPMulticast_to_MacAddr().

#define MSG_BLOCKING 0x0000

| Definition at line 531 of file TCPIPAPI.H. Referenced by gethostbyname().

#define MSG_DONTWAIT 0x0080

| Definition at line 533 of file TCPIPAPI.H.

#define MSG_TIMEOUT 0x0001

| Definition at line 532 of file TCPIPAPI.H. Referenced by ftp_recv(), ftp_recv_msg(), gethostbyname(), getMetaData(), http_get(), and sockgets().

#define PF_INET AF_INET

| Definition at line 525 of file TCPIPAPI.H. Referenced by ftp_connect(), and tcp_connect().

#define PING_CLOSE 0x76

| Definition at line 620 of file TCPIPAPI.H. Referenced by Ping_Close().

#define PING_OPEN 0x75

| Definition at line 619 of file TCPIPAPI.H. Referenced by Ping_Open().

#define PING_STATISTICS 0x77

| Definition at line 621 of file TCPIPAPI.H. Referenced by Ping_Statistics().

#define PPP_CONNECT_FAIL -7

| Definition at line 763 of file TCPIPAPI.H.

#define PPP_INUSE -2

| Definition at line 758 of file TCPIPAPI.H.

#define PPP_INV_COMPORT -1

| Definition at line 751 of file TCPIPAPI.H.

#define PPP_INV_DEV -5

| Definition at line 761 of file TCPIPAPI.H.

#define PPP_INV_USER -3

| Definition at line 759 of file TCPIPAPI.H.

#define PPP_IPCFG_FAIL -6

| Definition at line 762 of file TCPIPAPI.H.

#define PPP_IPCP_COMP_PROTOCOL 2

| Definition at line 717 of file TCPIPAPI.H.

#define PPP_IPCP_DNS_PRI 29

| Definition at line 718 of file TCPIPAPI.H.

#define PPP_IPCP_DNS_SEC 31

| Definition at line 719 of file TCPIPAPI.H.

#define PPP_IPCP_PROTOCOL 0x2180

| Definition at line 703 of file TCPIPAPI.H.

#define PPP_LCP_ACCM 2

| Definition at line 712 of file TCPIPAPI.H.

#define PPP_LCP_ADDRCTRL_COMP 8

| Definition at line 714 of file TCPIPAPI.H.

#define PPP_LCP_PROTO_COMP 7

| Definition at line 713 of file TCPIPAPI.H.

#define PPP_LCP_PROTOCOL 0x21c0

| Definition at line 702 of file TCPIPAPI.H.

#define PPP_LNKDOWN 0

| Definition at line 744 of file TCPIPAPI.H.

#define PPP_LNKUP 2

| Definition at line 746 of file TCPIPAPI.H.

#define PPP_LNKWILLOPEN 1

| Definition at line 745 of file TCPIPAPI.H.

#define PPP_MAX_DIAL 7

| Definition at line 206 of file TCPIPAPI.H.

#define PPP_NOTAVAIL -1

| Definition at line 743 of file TCPIPAPI.H.

#define PPP_OPEN_FAIL -4

| Definition at line 760 of file TCPIPAPI.H.

#define PPP_OPTION_ALLOW 1

| Definition at line 706 of file TCPIPAPI.H.

#define PPP_OPTION_WANT 0

| Definition at line 705 of file TCPIPAPI.H.

#define PPPCLIE_GET_DNSIP 0x44

| Definition at line 571 of file TCPIPAPI.H. Referenced by PPP_Client_Get_DNSIP().

#define PPPCLIENT_CLOSE 0x42

| Definition at line 569 of file TCPIPAPI.H. Referenced by PPP_Client_Close().

#define PPPCLIENT_GET_STATUS 0x43

| Definition at line 570 of file TCPIPAPI.H. Referenced by PPP_Client_GetStatus().

#define PPPCLIENT_INSTALLED 0x40

| Definition at line 567 of file TCPIPAPI.H. Referenced by PPP_Client_Installed().

#define PPPCLIENT_OPEN 0x41

| Definition at line 568 of file TCPIPAPI.H. Referenced by PPP_Client_Open().

#define PPPCLIENT_SET_OPTIONS 0x45

| Definition at line 572 of file TCPIPAPI.H. Referenced by PPP_Client_SetOptions().

#define PPPS_DISABLED 1

| Definition at line 734 of file TCPIPAPI.H.

#define PPPS_ENABLED 2

| Definition at line 735 of file TCPIPAPI.H.

#define PPPS_LNKUP 3

| Definition at line 736 of file TCPIPAPI.H.

#define PPPS_MODEMCLOSING 4

| Definition at line 737 of file TCPIPAPI.H.

#define PPPS_MODEMINIT 5

| Definition at line 738 of file TCPIPAPI.H.

#define PPPS_NOT_STARTED 0

| Definition at line 733 of file TCPIPAPI.H.

#define PPPS_UNDEFINED -1

| Definition at line 732 of file TCPIPAPI.H.

#define PPPSERVER_ACTIVATE 0x52

| Definition at line 578 of file TCPIPAPI.H. Referenced by PPP_Server_Activate().

#define PPPSERVER_GET_CFG 0x54

| Definition at line 580 of file TCPIPAPI.H. Referenced by PPP_Server_Get_Cfg().

#define PPPSERVER_GET_STATUS 0x53

| Definition at line 579 of file TCPIPAPI.H. Referenced by PPP_Server_GetStatus().

#define PPPSERVER_INSTALLED 0x50

| Definition at line 576 of file TCPIPAPI.H. Referenced by PPP_Server_Installed().

#define PPPSERVER_SET_OPTIONS 0x55

| Definition at line 581 of file TCPIPAPI.H. Referenced by PPP_Server_SetOptions().

#define PPPSERVER_SUSPEND 0x51

| Definition at line 577 of file TCPIPAPI.H. Referenced by PPP_Server_Suspend().

#define REINIT_ETHERNET 0x71

| Definition at line 611 of file TCPIPAPI.H. Referenced by Reconfigure_ethernet().

#define SET_SERVER_IDLE_TIMEOUT 0x79

| Definition at line 626 of file TCPIPAPI.H. Referenced by Get_FTPServer_Idle_Timeout(), Get_TelnetServer_Idle_Timeout(), Set_FTPServer_Idle_Timeout(), and Set_TelnetServer_Idle_Timeout().

#define SO_KEEPALIVE 0x0008

| Definition at line 676 of file TCPIPAPI.H.

#define SO_RCVBUF 0x1002

| Definition at line 678 of file TCPIPAPI.H.

#define SO_REUSEADDR 0x0004

| Definition at line 675 of file TCPIPAPI.H.

#define SO_SNDBUF 0x1001

| Definition at line 677 of file TCPIPAPI.H.

#define SOCK_DGRAM 2

| Definition at line 528 of file TCPIPAPI.H. Referenced by gethostbyname().

#define SOCK_STREAM 1

| Definition at line 527 of file TCPIPAPI.H. Referenced by ftp_connect(), and tcp_connect().

#define SOCKET_LEVEL 0x7fff

| Definition at line 652 of file TCPIPAPI.H.

#define TCP_2MSLTIME 0x4007

| Definition at line 669 of file TCPIPAPI.H.

#define TCP_DELAY_ACK 0x4002

| Definition at line 665 of file TCPIPAPI.H. Referenced by http_get().

#define TCP_FINWT2TIME 0x4006

| Definition at line 668 of file TCPIPAPI.H.

#define TCP_KEEPALIVE 0x4001

| Definition at line 664 of file TCPIPAPI.H.

#define TCP_KEEPALIVE_CNT 0x4005

| Definition at line 667 of file TCPIPAPI.H.

#define TCP_KEEPALIVE_INTV 0x4004

| Definition at line 666 of file TCPIPAPI.H.

#define TCP_MAXREXMIT 0x4003

| Definition at line 671 of file TCPIPAPI.H.

#define TCP_MAXRT 0x0010

| Definition at line 670 of file TCPIPAPI.H.

#define TCP_NODELAY 0x0001

| Definition at line 659 of file TCPIPAPI.H.

#define TCP_NOPUSH 0x0004

| Definition at line 660 of file TCPIPAPI.H.

#define TCP_SLOW_START 0x0200

| Definition at line 661 of file TCPIPAPI.H.

#define TCPIP_STATISTICS 0x74

| Definition at line 616 of file TCPIPAPI.H. Referenced by Get_TCPIP_Statistics().

## Typedef Documentation

typedef struct tag_atEntry atEntry

typedef struct tag_getsockopt GetSocketOption

typedef struct tagIcmpMib IcmpMib

typedef struct tagIfMib IfMib

typedef struct tagIpMib IpMib

typedef struct tag_cnt_packet Packet_Count

typedef struct tag_ping_command Ping

typedef struct tag_pppipcfg_data PPP_IPCfg_Data

typedef struct tag_pppclie_hangup PPP_ModemHangup

typedef struct tag_ppp_option PPP_Option

typedef struct tag_ppp_client PPPClient_Init

typedef struct tag_pppdial PPPDial

typedef struct tag_route_entry Route_Entry

typedef struct tag_setsockopt SetSocketOption

typedef struct tagTcpMib TcpMib

typedef struct tagUdpMib UdpMib

typedef struct tag_UserDhcpEthEntry UserEthDhcp_Entry